Skip to main content
GET
/
api
/
v3
/
admin
/
price_lists
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: priceLists } = await client.priceLists.list()
{
  "data": [
    {
      "id": "pl_UkLWZg9DAJ",
      "name": "Wholesale",
      "description": null,
      "status": "draft",
      "position": 1,
      "match_policy": "all",
      "starts_at": null,
      "ends_at": null,
      "deleted_at": null,
      "created_at": "2026-06-17T13:37:30.609Z",
      "updated_at": "2026-06-17T13:37:30.609Z",
      "currently_active": false,
      "products_count": 0,
      "prices_count": 0,
      "product_ids": []
    },
    {
      "id": "pl_gbHJdmfrXB",
      "name": "Holiday",
      "description": null,
      "status": "draft",
      "position": 2,
      "match_policy": "all",
      "starts_at": null,
      "ends_at": null,
      "deleted_at": null,
      "created_at": "2026-06-17T13:37:30.610Z",
      "updated_at": "2026-06-17T13:37:30.610Z",
      "currently_active": false,
      "products_count": 0,
      "prices_count": 0,
      "product_ids": []
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 2,
    "pages": 1,
    "from": 1,
    "to": 2,
    "in": 2,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer
q[name_cont]
string
q[status_eq]
string
sort
string
expand
string

Comma-separated associations to embed. Supported: price_rules.

Response

200 - application/json

price lists found

data
object[]
required
meta
object
required